List integration templates
GET
/v1/integrationtemplate/
const url = 'https://example.com/v1/integrationtemplate/?name=Discord';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/integrationtemplate/?name=Discord' \ --header 'Authorization: Bearer <token>'Return all available integration templates.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”cursor
string
The pagination cursor value.
name
string
email- Notify by emailSlack Webhook- Notify by Slack WebhookSlack- Notify by Slackmobile application- Notify with Bleemeo Mobile Appwebhook- Notify by WebhookPagerDuty- Notify by PagerDutyTwilio- TwilioVictorOps- Notify by VictorOpsOpsgenie- Notify by OpsgenieMessageBird- Notify by MessageBirdTeams- Notify by TeamsMicrosoft Teams Workflows- Notify by Microsoft Teams WorkflowsOVH SMS- Notify by OVH SMSTelegram- Notify by TelegramDiscord- Notify by DiscordRocket Chat- Notify by Rocket ChatJira issue- Notify by Jira issueGitHub issue- Notify by GitHub issueGitLab issue- Notify by GitLab issue
page_size
integer
Number of results to return per page.
search
string
A search term.
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
name
required
email- Notify by emailSlack Webhook- Notify by Slack WebhookSlack- Notify by Slackmobile application- Notify with Bleemeo Mobile Appwebhook- Notify by WebhookPagerDuty- Notify by PagerDutyTwilio- TwilioVictorOps- Notify by VictorOpsOpsgenie- Notify by OpsgenieMessageBird- Notify by MessageBirdTeams- Notify by TeamsMicrosoft Teams Workflows- Notify by Microsoft Teams WorkflowsOVH SMS- Notify by OVH SMSTelegram- Notify by TelegramDiscord- Notify by DiscordRocket Chat- Notify by Rocket ChatJira issue- Notify by Jira issueGitHub issue- Notify by GitHub issueGitLab issue- Notify by GitLab issue
string
parameter
required
object
key
additional properties
documentation
string format: uri
target_placeholder
string
target_type
0- none6- url7- email9- user8- phone number1- string
integer
deprecated
boolean
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3", "results": [ { "name": "email", "target_type": 0 } ]}